Bug 851218 - test run notes change in a wrong way after editing them and saving changes
test run notes change in a wrong way after editing them and saving changes
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.8.1
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 10:08 EDT by Martin Cermak
Modified: 2018-02-15 19:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Cermak 2012-08-23 10:08:32 EDT
Description of problem:.

When editing a test run I entered into Notes field following text:

TASKS="--run=44456"
bkr workflow-tcms --collection=devtoolset-1.1 --distro=rhel5.8.z --arch=i386 --arch=x86_64 --arch=ppc64 --repo=http://nest.test.redhat.com/mnt/qa/scratch/mcermak/rhdt-1.1/5/ --install=devtoolset-1.1 --init-task=/distribution/compilers-tortilla --init-task=/distribution/distribution/Regression/install-git-rhel5 --reserve $TASKS


After saving the update I'm getting:

TASKS="--run=44456"
bkr workflow-tcms --collection=devtoolset-1.1 --distro=rhel5.8.z --arch=i386 --arch=x86_64 --arch=ppc64 --repo=http://nest.test.redhat.com/mnt/qa/scrat ch/mcermak/rhdt-1.1/5/ --install=devtoolset-1.1 --init-task=/distribution/compilers-tortilla --init-task=/distribution/distribution/Regression/install-git-rhel5 --reserve $TASKS 


There is additional space. "scrat ch" instead of "scratch".  I see no way to avoid this. I'm using firefox-13.0.1-1.fc16.x86_64 and Nitrate 3.8.0.
Comment 1 jihu 2012-08-23 22:55:34 EDT
This bug can reproduce following Martin steps.
Comment 2 Zheng Liu 2012-08-24 03:18:58 EDT
Hi,

Thanks for your report.

All links from notes will be broken with space by every 40 characters when shown on page. There is no way to avoid this behaviour for now.

Since the value of href ('<a href="xxxx">xx xx</a>') does not change, it will not affect the url's action very much except for the situation that copy/paste from page to brower's url bar.

This bug will be fixed in next release.
Comment 3 Xin Gao 2012-10-10 03:57:41 EDT
Verify 3.8.1 on tcms-test -->PASS

Verify steps:
1. Enter into editing page of a test-run, and fill following info to note field.
TASKS="--run=44456"
bkr workflow-tcms --collection=devtoolset-1.1 --distro=rhel5.8.z --arch=i386 --arch=x86_64 --arch=ppc64 --repo=http://nest.test.redhat.com/mnt/qa/scratch/mcermak/rhdt-1.1/5/ --install=devtoolset-1.1 --init-task=/distribution/compilers-tortilla --init-task=/distribution/distribution/Regression/install-git-rhel5 --reserve $TASKS

2. Save.

Actual result:
works well now.

Note You need to log in before you can comment on or make changes to this bug.